# set\_enum\_idx

```
specify another serial number for a enum
     enum_id - id of enum
     idx     - new serial number.
               If another enum with the same serial number
               exists, then all enums with serial
               numbers >= the specified idx get their
               serial numbers incremented (in other words,
               the new enum is put in the middle of the list
               of enums).
               If idx >= get_enum_qty() then the enum is
               moved to the end of the list of enums.
returns: comment string

success set_enum_idx(long enum_id, long idx);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/developer-guide/idc/idc-api-reference/alphabetical-list-of-idc-functions/733.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
